## kget 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

# KDE Application Version, managed by release script
set(KDE_APPLICATIONS_VERSION_MAJOR "19")
set(KDE_APPLICATIONS_VERSION_MINOR "12")
set(KDE_APPLICATIONS_VERSION_MICRO "3")
set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")

project(kget VERSION ${KDE_APPLICATIONS_VERSION})

set(KF5_VERSION "5.55.0")
set(REQUIRED_QT_VERSION "5.7.0")

find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} "${CMAKE_SOURCE_DIR}/cmake")

find_package(Qt5 ${REQUIRED_QT_VERSION} REQUIRED CONFIG COMPONENTS DBus Gui Network Sql Test Widgets Xml)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(ECMSetupVersion)

ecm_setup_version(PROJECT VARIABLE_PREFIX KGET VERSION_HEADER "kget_version.h")

find_package(KF5 ${KF5_VERSION} REQUIRED
    Completion
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    IconThemes
    ItemViews
    KCMUtils
    KIO
    Notifications
    NotifyConfig
    Parts
    Service
    TextWidgets
    Wallet
    WidgetsAddons
    WindowSystem
    XmlGui
    KDELibs4Support # KLocale
)

#include(CheckIncludeFile)
#include(CheckIncludeFiles)
#include(CheckSymbolExists)
#include(CheckFunctionExists)
#include(CheckLibraryExists)
#include(CheckPrototypeExists)
#include(CheckTypeSize)

#set(CMAKE_REQUIRED_DEFINITIONS ${_KDE4_PLATFORM_DEFINITIONS})
if(WIN32)
   set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
   set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
endif(WIN32)
#add_definitions(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
#add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

find_package(Sqlite QUIET)
set_package_properties(SQLITE_FOUND PROPERTIES DESCRIPTION "SQLite is a Binary-Database" TYPE RECOMMENDED PURPOSE "Needed for the SQLite-Backend of the KGet-History")

find_package(Qca-qt5 2.1.0)
set_package_properties(Qca PROPERTIES DESCRIPTION "Support for encryption"
                       URL "http://delta.affinix.com/qca"
                       TYPE REQUIRED)


find_package(Gpgmepp 1.7.0)
set_package_properties(Gpgmepp_FOUND PROPERTIES DESCRIPTION "The GpgME++ library" URL "http://www.gnupg.org" TYPE RECOMMENDED PURPOSE "GpgME++ is required to have signature verifying support in KGet.")

find_package(KF5Torrent 2.1)
set_package_properties(KF5Torrent_FOUND PROPERTIES DESCRIPTION "Backend Library of KTorrent" TYPE RECOMMENDED PURPOSE "Needed to build KGet bittorrent support.")

find_package(LibMms QUIET)
set_package_properties(LIBMMS_FOUND PROPERTIES DESCRIPTION "Library to read mms streams" TYPE RECOMMENDED PURPOSE "Needed to build KGet mms support.")

set(kget_adaptor_SRCS
    dbus/dbuskgetwrapper.cpp
)
# set(kget_transfer_adaptor_SRCS
#     core/transferhandler.cpp
#     core/transfertreemodel.cpp
# )

#add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5001)  //TODO: PORT THIS!!

if(CMAKE_BUILD_TYPE MATCHES debugfull)
     add_definitions(-DDEBUG)
endif(CMAKE_BUILD_TYPE MATCHES debugfull)

if (Qca-qt5_FOUND)
    add_definitions(-DHAVE_QCA2)
MESSAGE(STATUS "QCA found")
endif()

find_package(Boost REQUIRED)

if(Gpgmepp_FOUND)
    find_package(QGpgme REQUIRED)
    add_definitions(-DHAVE_QGPGME)
endif()

set (KGET_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/kget)

add_subdirectory(conf)
add_subdirectory(core)
add_subdirectory(ui)
add_subdirectory(transfer-plugins)
add_subdirectory(extensions)
add_subdirectory(sounds)
add_subdirectory(desktop)
#add_subdirectory(plasma) TODO PORT TO KF5/QML
add_subdirectory(tests)
add_subdirectory(doc)

find_package(LibKWorkspace CONFIG)
set_package_properties(LibKWorkspace PROPERTIES TYPE OPTIONAL PURPOSE "Allows 'shutdown after downloads completed' in kget")
if(LibKWorkspace_FOUND)
    add_definitions(-DHAVE_KWORKSPACE)
endif()

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}/core/
    ${CMAKE_CURRENT_BINARY_DIR}
)

if(SQLITE_FOUND)
    add_definitions(-DHAVE_SQLITE)
endif(SQLITE_FOUND)


remove_definitions(-DQT_NO_HTTP)

# kgetcore

set(kgetcore_SRCS
   core/job.cpp
   core/jobqueue.cpp
   core/kget.cpp
   core/scheduler.cpp
   core/transfertreemodel.cpp
   core/transfertreeselectionmodel.cpp
   core/transfer.cpp
   core/transfergroup.cpp
   core/transfergrouphandler.cpp
   core/transferhandler.cpp
   core/handler.cpp
   core/transfergroupscheduler.cpp
   core/plugin/plugin.cpp
   core/plugin/transferfactory.cpp
   core/transferdatasource.cpp
   core/datasourcefactory.cpp
   core/kgetkjobadapter.cpp
   core/kuiserverjobs.cpp
   core/kgetglobaljob.cpp
   core/bitset.cpp
   core/download.cpp
   core/transferhistorystore.cpp
   core/transferhistorystore_xml.cpp
   core/transferhistorystore_sqlite.cpp
   core/linkimporter.cpp
   dbus/dbustransferwrapper.cpp
   dbus/dbusverifierwrapper.cpp
   core/filemodel.cpp
   core/verifier.cpp
   core/verificationthread.cpp
   core/verificationmodel.cpp
   core/verificationdelegate.cpp
   core/signature.cpp
   core/signaturethread.cpp
   core/keydownloader.cpp
   core/urlchecker.cpp
   core/basedialog.cpp
   core/mostlocalurl.cpp
   core/filedeleter.cpp
)

ecm_qt_declare_logging_category(kgetcore_SRCS
                                HEADER kget_debug.h
                                IDENTIFIER KGET_DEBUG
                                CATEGORY_NAME kget)

kconfig_add_kcfg_files(kgetcore_SRCS conf/settings.kcfgc)

qt5_add_dbus_adaptor(kgetcore_SRCS dbus/org.kde.kget.transfer.xml dbus/dbustransferwrapper.h DBusTransferWrapper)
qt5_add_dbus_adaptor(kgetcore_SRCS dbus/org.kde.kget.verifier.xml dbus/dbusverifierwrapper.h DBusVerifierWrapper)


add_library(kgetcore SHARED ${kgetcore_SRCS})
generate_export_header(kgetcore BASE_NAME kget)

target_link_libraries(kgetcore Qt5::Core Qt5::Widgets Qt5::Sql Qt5::Network Qt5::DBus KF5::ConfigGui KF5::CoreAddons KF5::DBusAddons KF5::I18n KF5::IconThemes KF5::KIOCore KF5::KIOWidgets KF5::Notifications KF5::Service KF5::XmlGui)

if(LibKWorkspace_FOUND)
    target_link_libraries(kgetcore PW::KWorkspace)
endif()

if (SQLITE_FOUND)
  target_link_libraries(kgetcore ${QT_QTSQL_LIBRARY})
endif (SQLITE_FOUND)

if (Qca-qt5_FOUND)
    target_link_libraries(kgetcore qca-qt5)
endif ()

if (Gpgmepp_FOUND)
    target_link_libraries(kgetcore QGpgme Gpgmepp)
    kde_enable_exceptions()
endif()


set_target_properties(kgetcore PROPERTIES VERSION 5.0.0 SOVERSION 5 )
install(TARGETS kgetcore ${INSTALL_TARGETS_DEFAULT_ARGS})


# kget

set(kget_SRCS ${kget_adaptor_SRCS} ${kget_transfer_adaptor_SRCS}
   kget_debug.cpp
   conf/autopastemodel.cpp
   conf/integrationpreferences.cpp
   conf/dlgwebinterface.cpp
   conf/preferencesdialog.cpp
   conf/transfersgrouptree.cpp
   conf/transfersgroupwidget.cpp
   conf/pluginselector.cpp
   conf/verificationpreferences.cpp
   ui/droptarget.cpp
   ui/transfersview.cpp
   ui/transfersviewdelegate.cpp
   ui/transferdetails.cpp
   ui/viewscontainer.cpp
   ui/newtransferdialog.cpp
   ui/groupsettingsdialog.cpp
   ui/transfersettingsdialog.cpp
   ui/contextmenu.cpp
   ui/tray.cpp
   ui/history/rangetreewidget.cpp
   ui/history/transferhistory.cpp
   ui/history/transferhistoryitemdelegate.cpp
   ui/history/transferhistorycategorizeddelegate.cpp
   ui/history/transferhistorycategorizedview.cpp
   ui/linkview/kget_linkview.cpp
   ui/linkview/kget_sortfilterproxymodel.cpp
   ui/mirror/mirrorsettings.cpp
   ui/mirror/mirrormodel.cpp
   ui/renamefile.cpp
   ui/verificationdialog.cpp
   ui/metalinkcreator/metalinkcreator.cpp
   ui/metalinkcreator/generalwidget.cpp
   ui/metalinkcreator/metalinker.cpp
   ui/metalinkcreator/filedlg.cpp
   ui/metalinkcreator/localemodels.cpp
   ui/metalinkcreator/dragdlg.cpp
   ui/metalinkcreator/urlwidget.cpp
   ui/metalinkcreator/filehandler.cpp
   ui/signaturedlg.cpp
   mainwindow.cpp
   main.cpp

   #extensions/webinterface/httpserver.cpp
)

qt5_add_dbus_adaptor(kget_SRCS dbus/org.kde.kget.main.xml dbus/dbuskgetwrapper.h DBusKGetWrapper)

ki18n_wrap_ui(kget_SRCS
   conf/dlgadvanced.ui
   conf/dlgappearance.ui
   conf/dlggroups.ui
   conf/dlgintegration.ui
   conf/dlgwebinterface.ui
   conf/dlgnetwork.ui
   conf/verificationpreferences.ui
   ui/transferdetailsfrm.ui
   ui/newtransferwidget.ui
   ui/history/transferhistory.ui
   ui/groupsettingsdialog.ui
   ui/transfersettingsdialog.ui
   ui/linkview/importlinkdialog.ui
   ui/mirror/mirrorsettings.ui
   ui/mirror/mirroradddlg.ui
   ui/renamefile.ui
   ui/verificationdialog.ui
   ui/verificationadddlg.ui
   ui/metalinkcreator/introduction.ui
   ui/metalinkcreator/generalwidget.ui
   ui/metalinkcreator/files.ui
   ui/metalinkcreator/filedlg.ui
   ui/metalinkcreator/dragdlg.ui
   ui/metalinkcreator/urlwidget.ui
   ui/metalinkcreator/commondata.ui
   ui/signaturedlg.ui
)

#kde4_add_app_icon(kget_SRCS "ui/icons/hi*-apps-kget.png")

add_executable(kget ${kget_SRCS})

target_link_libraries(kget Qt5::Core Qt5::Widgets Qt5::Sql Qt5::Network Qt5::DBus KF5::Crash KF5::Wallet KF5::DBusAddons KF5::I18n KF5::Completion KF5::CoreAddons KF5::IconThemes KF5::ItemViews KF5::KCMUtils KF5::NotifyConfig KF5::WindowSystem KF5::KDELibs4Support kgetcore)
if(Qca_FOUND)
  target_link_libraries(kget qca)
endif()
if(CMAKE_BUILD_TYPE MATCHES debugfull)
  target_link_libraries(kget Qt5::Test)
endif()

if (QGpgme_FOUND)
  target_link_libraries(kget QGpgme)
endif()

install(TARGETS kget ${INSTALL_TARGETS_DEFAULT_ARGS})

if (${ECM_VERSION} STRGREATER "5.58.0")
    install(FILES kget.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES kget.categories DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

install(FILES org.kde.kget.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== tests/CMakeLists.txt ===
include_directories(
   ../
)

#===========KGet===========
if(CMAKE_BUILD_TYPE MATCHES debugfull)
    ENABLE_TESTING()

    add_definitions(-DDO_KGET_TEST)
    set(kget_test_transfers_SRCS
        testkget.cpp
        testtransfers.cpp
        ../kget_debug.cpp
    )

    qt5_add_dbus_interface(kget_test_transfers_SRCS ../dbus/org.kde.kget.main.xml kget_interface)
    qt5_add_dbus_interface(kget_test_transfers_SRCS ../dbus/org.kde.kget.transfer.xml transfer_interface)
    qt5_add_dbus_interface(kget_test_transfers_SRCS ../dbus/org.kde.kget.verifier.xml verifier_interface)

    #REACTIVATE
    #add_executable(kget_test_transfers ${kget_test_transfers_SRCS})
    #add_test(kget_test_transfers kget_test_transfers)
    #ecm_mark_as_test(kget_test_transfers)

    #target_link_libraries(kget_test_transfers Qt5::Test KF5::KIOCore kgetcore)


#===========Verifier===========
    if (QCA2_FOUND)
        add_executable(verifiertest verifiertest.cpp)
        add_test(verifiertest verifiertest)
        ecm_mark_as_test(verifiertest)

        target_link_libraries(verifiertest Qt5::Test ${QCA2_LIBRARIES} kgetcore)
    endif (QCA2_FOUND)


    #===========Scheduler===========
    add_executable(schedulertest schedulertest.cpp)
    add_test(schedulertest schedulertest ) 
    ecm_mark_as_test(schedulertest)

    target_link_libraries(schedulertest Qt5::Test Qt5::Gui kgetcore)


    #===========Metalinker===========
    set(metalinktest_SRCS
        metalinktest.cpp
        ../ui/metalinkcreator/metalinker.cpp
        ../kget_debug.cpp
    )

    add_executable( metalinktest ${metalinktest_SRCS})
    add_test(metalinktest metalinktest)
    ecm_mark_as_test(metalinktest)

    target_link_libraries(metalinktest Qt5::Xml KF5::I18n KF5::KIOCore Qt5::Test)

    #===========FileDeleter===========
    set(filedeletertest_SRCS
        filedeletertest.cpp
        ../core/filedeleter.cpp
    )

    add_executable(filedeletertest ${filedeletertest_SRCS})
     add_test(filedeletertest filedeletertest)
     ecm_mark_as_test(filedeletertest)

    target_link_libraries(filedeletertest KF5::KIOCore Qt5::Test)

endif(CMAKE_BUILD_TYPE MATCHES debugfull)

=== transfer-plugins/metalink/CMakeLists.txt ===
#Set supported mime type
SET(SUPPORTED_KGET_MIMETYPES "${SUPPORTED_KGET_MIMETYPES}application/metalink+xml;" PARENT_SCOPE)

include_directories(
   ../../
)

set(kget_metalinkfactory_PART_SRCS
  metalinkfactory.cpp
  abstractmetalink.cpp
  metalinkxml.cpp
  metalinkhttp.cpp
  fileselectiondlg.cpp
  ../../ui/metalinkcreator/metalinker.cpp
  ../../kget_debug.cpp
)

ki18n_wrap_ui(kget_metalinkfactory_PART_SRCS
    fileselection.ui
)

kconfig_add_kcfg_files(kget_metalinkfactory_PART_SRCS metalinksettings.kcfgc)
add_library(kget_metalinkfactory MODULE ${kget_metalinkfactory_PART_SRCS})
kcoreaddons_desktop_to_json(kget_metalinkfactory kget_metalinkfactory.desktop)
target_link_libraries(kget_metalinkfactory kgetcore)

install(TARGETS kget_metalinkfactory DESTINATION ${KGET_PLUGIN_INSTALL_DIR})


###Build KCM-Module
set(kcm_kget_metalinkfactory_PART_SRCS
    dlgmetalink.cpp
    ../../kget_debug.cpp
)

ki18n_wrap_ui(kcm_kget_metalinkfactory_PART_SRCS
dlgmetalink.ui
)

kconfig_add_kcfg_files(kcm_kget_metalinkfactory_PART_SRCS metalinksettings.kcfgc)
add_library(kcm_kget_metalinkfactory MODULE ${kcm_kget_metalinkfactory_PART_SRCS})
target_link_libraries(kcm_kget_metalinkfactory KF5::I18n KF5::ConfigGui KF5::ConfigWidgets)
install(TARGETS kcm_kget_metalinkfactory DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kget_metalinkfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== transfer-plugins/mmsthreads/CMakeLists.txt ===
include_directories(
   ../../
   ${LIBMMS_INCLUDE_DIR}
)

set(kget_mmsfactory_PART_SRCS
  mmsdownload.cpp
  mmstransfer.cpp
  mmstransferfactory.cpp
  mmsthread.cpp
  ../../kget_debug.cpp
)

kconfig_add_kcfg_files(kget_mmsfactory_PART_SRCS mmssettings.kcfgc)
add_library(kget_mmsfactory MODULE ${kget_mmsfactory_PART_SRCS})
kcoreaddons_desktop_to_json(kget_mmsfactory kget_mmsfactory.desktop)
target_link_libraries(kget_mmsfactory kgetcore ${LIBMMS_LIBRARIES})

install(TARGETS kget_mmsfactory DESTINATION ${KGET_PLUGIN_INSTALL_DIR})
install(FILES kget_mmsfactory.kcfg DESTINATION ${KCFG_INSTALL_DIR})

###Build KCM-Module
set(kcm_kget_mmsfactory_PART_SRCS
  dlgmms.cpp
  ../../kget_debug.cpp
)

ki18n_wrap_ui(kcm_kget_mmsfactory_PART_SRCS
  dlgmms.ui
)
kconfig_add_kcfg_files(kcm_kget_mmsfactory_PART_SRCS mmssettings.kcfgc)
add_library(kcm_kget_mmsfactory MODULE ${kcm_kget_mmsfactory_PART_SRCS})
target_link_libraries(kcm_kget_mmsfactory ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
install(TARGETS kcm_kget_mmsfactory DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kget_mmsfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kget (4:19.12.3-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2020 16:09:36 +0000

kget (4:19.12.2-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2020 15:20:08 +0000

kget (4:19.12.1-0ubuntu1) focal; urgency=medium

  * New upstream release (19.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2020 14:54:13 +0000

=== debian/control ===
Source: kget
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.55.0~),
               gettext,
               libboost-dev,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.0~),
               libkf5completion-dev (>= 5.55.0~),
               libkf5config-dev (>= 5.55.0~),
               libkf5configwidgets-dev (>= 5.55.0~),
               libkf5coreaddons-dev (>= 5.55.0~),
               libkf5crash-dev (>= 5.55.0~),
               libkf5dbusaddons-dev (>= 5.55.0~),
               libkf5doctools-dev (>= 5.55.0~),
               libkf5i18n-dev (>= 5.55.0~),
               libkf5iconthemes-dev (>= 5.55.0~),
               libkf5itemviews-dev (>= 5.55.0~),
               libkf5kcmutils-dev (>= 5.55.0~),
               libkf5kdelibs4support-dev (>= 5.55.0~),
               libkf5kio-dev (>= 5.55.0~),
               libkf5notifications-dev (>= 5.55.0~),
               libkf5notifyconfig-dev (>= 5.55.0~),
               libkf5parts-dev (>= 5.55.0~),
               libkf5service-dev (>= 5.55.0~),
               libkf5textwidgets-dev (>= 5.55.0~),
               libkf5wallet-dev (>= 5.55.0~),
               libkf5widgetsaddons-dev (>= 5.55.0~),
               libkf5windowsystem-dev (>= 5.55.0~),
               libkf5xmlgui-dev (>= 5.55.0~),
               libktorrent-dev (>= 2.1~),
               libmms-dev,
               libqca-qt5-2-dev (>= 2.1.0~),
               libsqlite3-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               plasma-workspace-dev [linux-any],
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.4.1
Homepage: http://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git

Package: kget
Section: net
Architecture: any
Depends: libjs-mootools, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Suggests: khelpcenter
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3-4~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_configure:
	$(overridden_command) -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	$(overridden_command)
	# remove dev .so symlinks, we aren't shipping dev suff for these
	find debian/kget -name '*.so' -type l -print -delete
	# remove translations of unbuilt plasma stuff
	rm -f debian/kget/usr/share/locale/*/LC_MESSAGES/plasma_applet_kget.mo
	rm -f debian/kget/usr/share/locale/*/LC_MESSAGES/plasma_runner_kget.mo

## kget 20.08.2

=== debian/changelog ===
kget (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:47 +0100

kget (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 03 Sep 2020 17:13:34 +0200

kget (4:20.04.3-1) unstable; urgency=medium

  * Team upload,
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * CI: disable the build path variations in reprotest.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Aug 2020 22:15:22 +0200

kget (4:20.04.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the substvars for the kde-l10n breaks
    - add an empty override for dh_auto_test (the test suite is already not
      built)
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 13 Jun 2020 09:33:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
            Eshat Cakar <info@eshat.de>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 3.0.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 13),
                extra-cmake-modules (>= 5.55.0~),
                gettext,
                libboost-dev,
@@ -44,7 +44,8 @@
                pkg-kde-tools (>= 0.15.16),
                plasma-workspace-dev [linux-any],
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.08.3-4~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_test:
	:

override_dh_auto_install:
	dh_auto_install
	# remove dev .so symlinks, we aren't shipping dev suff for these
	find debian/kget -name '*.so' -type l -print -delete
	# remove translations of unbuilt plasma stuff
	rm -f debian/kget/usr/share/locale/*/LC_MESSAGES/plasma_applet_kget.mo
	rm -f debian/kget/usr/share/locale/*/LC_MESSAGES/plasma_runner_kget.mo

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

## kget 20.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.0)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
-
-project(kget VERSION ${KDE_APPLICATIONS_VERSION})
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+project(kget VERSION ${RELEASE_SERVICE_VERSION})
 
 set(KF5_VERSION "5.55.0")
 set(REQUIRED_QT_VERSION "5.7.0")
@@ -20,7 +20,7 @@
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
 include(ECMInstallIcons)
-include(ECMMarkAsTest)
+include(ECMAddTests)
 include(GenerateExportHeader)
 include(ECMQtDeclareLoggingCategory)
 include(ECMSetupVersion)
@@ -65,8 +65,8 @@
    set(CMAKE_REQUIRED_LIBRARIES ${KDEWIN32_LIBRARIES})
    set(CMAKE_REQUIRED_INCLUDES  ${KDEWIN32_INCLUDES})
 endif(WIN32)
-#add_definitions(${QT_DEFINITIONS} ${QT_QTDBUS_DEFINITIONS} ${KDE4_DEFINITIONS})
-#add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)
+
+add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR})
 
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
@@ -76,12 +76,12 @@
 
 find_package(Qca-qt5 2.1.0)
 set_package_properties(Qca PROPERTIES DESCRIPTION "Support for encryption"
-                       URL "http://delta.affinix.com/qca"
+                       URL "https://download.kde.org/stable/qca-qt5/"
                        TYPE REQUIRED)
 
 
 find_package(Gpgmepp 1.7.0)
-set_package_properties(Gpgmepp_FOUND PROPERTIES DESCRIPTION "The GpgME++ library" URL "http://www.gnupg.org" TYPE RECOMMENDED PURPOSE "GpgME++ is required to have signature verifying support in KGet.")
+set_package_properties(Gpgmepp_FOUND PROPERTIES DESCRIPTION "The GpgME++ library" URL "https://www.gnupg.org" TYPE RECOMMENDED PURPOSE "GpgME++ is required to have signature verifying support in KGet.")
 
 find_package(KF5Torrent 2.1)
 set_package_properties(KF5Torrent_FOUND PROPERTIES DESCRIPTION "Backend Library of KTorrent" TYPE RECOMMENDED PURPOSE "Needed to build KGet bittorrent support.")

=== doc/CMakeLists.txt ===
########### install files ###############
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR kget)

=== tests/CMakeLists.txt ===
include_directories(
   ../
)

#===========KGet===========
if(BUILD_TESTING)
    add_definitions(-DDO_KGET_TEST)
    set(kget_test_transfers_SRCS
        testkget.cpp
        testtransfers.cpp
        ../kget_debug.cpp
    )

    qt5_add_dbus_interface(kget_test_transfers_SRCS ../dbus/org.kde.kget.main.xml kget_interface)
    qt5_add_dbus_interface(kget_test_transfers_SRCS ../dbus/org.kde.kget.transfer.xml transfer_interface)
    qt5_add_dbus_interface(kget_test_transfers_SRCS ../dbus/org.kde.kget.verifier.xml verifier_interface)

    add_executable(kget_test_transfers ${kget_test_transfers_SRCS})
    # TODO enable it in ctest once it's fixed to not popup a "first run" messagebox on first start.
    # This probably needs a --testmode command-line argument (and QStandardPaths::setTestModeEnabled(true) on both sides)
    #ecm_mark_as_test(kget_test_transfers)
    target_link_libraries(kget_test_transfers Qt5::Test KF5::KIOCore kgetcore)


#===========Verifier===========
    if (QCA2_FOUND)
        ecm_add_test(
                verifiertest.cpp
            LINK_LIBRARIES
                Qt5::Test
                ${QCA2_LIBRARIES}
                kgetcore
            TEST_NAME verifiertest)
    endif (QCA2_FOUND)


    #===========Scheduler===========
    ecm_add_test(
            schedulertest.cpp
        LINK_LIBRARIES
            Qt5::Test
            Qt5::Gui
            kgetcore
        TEST_NAME schedulertest)

    #===========Metalinker===========
    ecm_add_test(
            metalinktest.cpp
            ../ui/metalinkcreator/metalinker.cpp
            ../kget_debug.cpp
        LINK_LIBRARIES
            Qt5::Xml
            KF5::I18n
            KF5::KIOCore
            Qt5::Test
        TEST_NAME metalinktest
    )

    #===========FileDeleter===========
    ecm_add_test(
            filedeletertest.cpp
            ../core/filedeleter.cpp
        LINK_LIBRARIES
            KF5::KIOCore
            Qt5::Test
        TEST_NAME filedeletertest
    )

endif()

=== extensions/konqueror/CMakeLists.txt ===
project (kget_browser_integration)

set(kget_browser_integration_SRCS
   kget_plug_in.cpp
)

QT5_ADD_DBUS_INTERFACE(kget_browser_integration_SRCS ../../dbus/org.kde.kget.main.xml kget_interface )

add_library(kget_browser_integration MODULE ${kget_browser_integration_SRCS})

target_link_libraries(kget_browser_integration KF5::CoreAddons KF5::IconThemes KF5::Parts)

install(TARGETS kget_browser_integration DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############
install(FILES kget_plug_in.rc kget_plug_in.desktop DESTINATION ${DATA_INSTALL_DIR}/khtml/kpartplugins)
install(FILES kget_plug_in.rc kget_plug_in.desktop DESTINATION ${DATA_INSTALL_DIR}/dolphinpart/kpartplugins)
install(FILES kget_plug_in.rc kget_plug_in.desktop DESTINATION ${DATA_INSTALL_DIR}/kwebkitpart/kpartplugins)

=== transfer-plugins/bittorrent/CMakeLists.txt ===
#Set supported mime type
SET(SUPPORTED_KGET_MIMETYPES "${SUPPORTED_KGET_MIMETYPES}application/x-bittorrent;" PARENT_SCOPE)

kde_enable_exceptions()

include_directories(
    ../../
)
set(kget_bittorrentfactory_PART_SRCS
    bttransfer.cpp
    bttransferfactory.cpp
    bttransferhandler.cpp
    btdetailswidget.cpp
    scandlg.cpp
    #btdatasource.cpp
    #btchunkselector.cpp
    #btcache.cpp
    advanceddetails/btadvanceddetailswidget.cpp
    advanceddetails/chunkdownloadmodel.cpp
    advanceddetails/chunkdownloadview.cpp
    advanceddetails/fileview.cpp
    advanceddetails/iwfilelistmodel.cpp
    advanceddetails/iwfiletreemodel.cpp
    advanceddetails/peerview.cpp
    advanceddetails/peerviewmodel.cpp
    advanceddetails/torrentfilelistmodel.cpp
    advanceddetails/torrentfilemodel.cpp
    advanceddetails/torrentfiletreemodel.cpp
    advanceddetails/monitor.cpp
    advanceddetails/trackerview.cpp
    advanceddetails/trackermodel.cpp
    advanceddetails/webseedsmodel.cpp
    advanceddetails/webseedstab.cpp
    ../../kget_debug.cpp
    )

ki18n_wrap_ui(kget_bittorrentfactory_PART_SRCS
    btdetailswidgetfrm.ui
    scandlg.ui
    advanceddetails/chunkdownloadview.ui
    advanceddetails/trackerview.ui
    advanceddetails/webseedstab.ui
    )

kconfig_add_kcfg_files(kget_bittorrentfactory_PART_SRCS bittorrentsettings.kcfgc)
add_library(kget_bittorrent MODULE ${kget_bittorrentfactory_PART_SRCS})
kcoreaddons_desktop_to_json(kget_bittorrent kget_bittorrentfactory.desktop)

target_link_libraries(kget_bittorrent KF5::KIOCore KF5::Torrent kgetcore)
install(TARGETS kget_bittorrent DESTINATION  ${KGET_PLUGIN_INSTALL_DIR})

###Build KCM-Module
set(kcm_kget_bittorrentfactory_PART_SRCS
    btsettingswidget.cpp
    ../../kget_debug.cpp
    )

ki18n_wrap_ui(kcm_kget_bittorrentfactory_PART_SRCS
    btsettingswidget.ui
    )

kconfig_add_kcfg_files(kcm_kget_bittorrentfactory_PART_SRCS bittorrentsettings.kcfgc)
add_library(kcm_kget_bittorrentfactory MODULE ${kcm_kget_bittorrentfactory_PART_SRCS})
target_link_libraries(kcm_kget_bittorrentfactory KF5::ConfigGui KF5::ConfigWidgets KF5::I18n KF5::KIOCore KF5::KIOWidgets)
install(TARGETS kcm_kget_bittorrentfactory DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kget_bittorrentfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== transfer-plugins/mirrorsearch/CMakeLists.txt ===
include_directories(
   ../../
)

set(kget_mirrorsearchfactory_PART_SRCS
  mirrors.cpp
  mirrorsearchtransferdatasource.cpp
  mirrorsearchfactory.cpp
  ../../kget_debug.cpp
)

kconfig_add_kcfg_files(kget_mirrorsearchfactory_PART_SRCS mirrorsearchsettings.kcfgc)

add_library(kget_mirrorsearchfactory MODULE ${kget_mirrorsearchfactory_PART_SRCS})
kcoreaddons_desktop_to_json(kget_mirrorsearchfactory kget_mirrorsearchfactory.desktop)
target_link_libraries(kget_mirrorsearchfactory kgetcore)

install(TARGETS kget_mirrorsearchfactory DESTINATION  ${KGET_PLUGIN_INSTALL_DIR})
install(FILES kget_mirrorsearchfactory.kcfg DESTINATION ${KCFG_INSTALL_DIR})

###Build KCM-Module
set(kcm_kget_mirrorsearchfactory_PART_SRCS
  dlgmirrorsearch.cpp
  ../../kget_debug.cpp
)

ki18n_wrap_ui(kcm_kget_mirrorsearchfactory_PART_SRCS
  dlgmirrorsearch.ui 
  dlgengineediting.ui
)

kconfig_add_kcfg_files(kcm_kget_mirrorsearchfactory_PART_SRCS mirrorsearchsettings.kcfgc)
add_library(kcm_kget_mirrorsearchfactory MODULE ${kcm_kget_mirrorsearchfactory_PART_SRCS})
target_link_libraries(kcm_kget_mirrorsearchfactory KF5::ConfigWidgets KF5::I18n KF5::WidgetsAddons)
install(TARGETS kcm_kget_mirrorsearchfactory DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kget_mirrorsearchfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== transfer-plugins/mmsthreads/CMakeLists.txt ===
--- 
+++ 
@@ -30,7 +30,7 @@
 )
 kconfig_add_kcfg_files(kcm_kget_mmsfactory_PART_SRCS mmssettings.kcfgc)
 add_library(kcm_kget_mmsfactory MODULE ${kcm_kget_mmsfactory_PART_SRCS})
-target_link_libraries(kcm_kget_mmsfactory ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
+target_link_libraries(kcm_kget_mmsfactory KF5::I18n KF5::ConfigWidgets)
 install(TARGETS kcm_kget_mmsfactory DESTINATION ${PLUGIN_INSTALL_DIR})
 
 install(FILES kget_mmsfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
kget (4:20.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update upstream GPG signing key.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Thu, 04 Feb 2021 14:09:08 +0100

kget (4:20.12.1-1) unstable; urgency=medium

  * New upstream release (20.12.1).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 08 Jan 2021 13:52:19 +0100

kget (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar, George Kiagiadakis, Maximiliano Curia, Modestas
    Vainius from the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 02 Jan 2021 13:11:14 +0100

kget (4:20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Refresh copyright information: project metadata is FSF All Permissive.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata.
  * Borrow minimal upstream signing key from k3b.
  * Add description and metadata to the patch removing the embedded mootools
    copies from the package.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 29 Oct 2020 22:50:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,8 @@
 Section: kde
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Eshat Cakar <info@eshat.de>,
-           Maximiliano Curia <maxy@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sune Vuorela <sune@debian.org>,
 Build-Depends: cmake (>= 3.0.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.55.0~),
@@ -44,9 +41,9 @@
                pkg-kde-tools (>= 0.15.16),
                plasma-workspace-dev [linux-any],
                qtbase5-dev (>= 5.7.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: http://www.kde.org/
+Homepage: https://apps.kde.org/en/kget
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kget
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kget.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 l10npkgs_firstversion_ok := 4:17.08.3-4~
 include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk
@@ -12,8 +14,7 @@
 override_dh_auto_test:
 	:
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# remove dev .so symlinks, we aren't shipping dev suff for these
 	find debian/kget -name '*.so' -type l -print -delete
 	# remove translations of unbuilt plasma stuff

## kget 20.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kget VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kget (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:19:48 +0000

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5widgetsaddons-dev (>= 5.55.0~),
                libkf5windowsystem-dev (>= 5.55.0~),
                libkf5xmlgui-dev (>= 5.55.0~),
-               libktorrent-dev (>= 2.1~),
+               libktorrent-dev (>= 20.12.3~),
                libmms-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
                libsqlite3-dev,

## kget 21.04.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kget VERSION ${RELEASE_SERVICE_VERSION})
 
-set(KF5_VERSION "5.55.0")
-set(REQUIRED_QT_VERSION "5.7.0")
+set(KF5_VERSION "5.68.0")
+set(REQUIRED_QT_VERSION "5.12.0")
 
 find_package(ECM ${KF5_VERSION} REQUIRED NO_MODULE)
 
@@ -24,6 +24,7 @@
 include(GenerateExportHeader)
 include(ECMQtDeclareLoggingCategory)
 include(ECMSetupVersion)
+include(ECMSetupQtPluginMacroNames)
 
 ecm_setup_version(PROJECT VARIABLE_PREFIX KGET VERSION_HEADER "kget_version.h")
 
@@ -115,7 +116,9 @@
     add_definitions(-DHAVE_QGPGME)
 endif()
 
-set (KGET_PLUGIN_INSTALL_DIR ${PLUGIN_INSTALL_DIR}/kget)
+set (KGET_PLUGIN_INSTALL_DIR ${KDE_INSTALL_PLUGINDIR}/kget)
+
+ecm_setup_qtplugin_macro_names(JSON_NONE KGET_EXPORT_PLUGIN KGET_EXPORT_PLUGIN_CONFIG)
 
 add_subdirectory(conf)
 add_subdirectory(core)
@@ -195,7 +198,8 @@
 ecm_qt_declare_logging_category(kgetcore_SRCS
                                 HEADER kget_debug.h
                                 IDENTIFIER KGET_DEBUG
-                                CATEGORY_NAME kget)
+                                CATEGORY_NAME kget
+                                DESCRIPTION "KGet" EXPORT KGET)
 
 kconfig_add_kcfg_files(kgetcore_SRCS conf/settings.kcfgc)
 
@@ -227,7 +231,7 @@
 
 
 set_target_properties(kgetcore PROPERTIES VERSION 5.0.0 SOVERSION 5 )
-install(TARGETS kgetcore ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kgetcore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 
 
 # kget
@@ -325,15 +329,14 @@
   target_link_libraries(kget QGpgme)
 endif()
 
-install(TARGETS kget ${INSTALL_TARGETS_DEFAULT_ARGS})
-
-if (${ECM_VERSION} STRGREATER "5.58.0")
-    install(FILES kget.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
-else()
-    install(FILES kget.categories DESTINATION ${KDE_INSTALL_CONFDIR})
-endif()
-
-install(FILES org.kde.kget.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})
+install(TARGETS kget ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
+
+ecm_qt_install_logging_categories(
+        EXPORT KGET
+        FILE kget.categories
+        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
+        )
+install(FILES org.kde.kget.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)

## kget 21.08.1

=== debian/changelog ===
kget (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:33:31 +0100

kget (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:02:08 +0100

kget (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:55:20 +0100

kget (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:33:46 +0100

kget (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:43:10 +0100

kget (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:39:50 +0100

kget (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:06:18 +0100

kget (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:35:19 +0100

=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                libkf5widgetsaddons-dev (>= 5.55.0~),
                libkf5windowsystem-dev (>= 5.55.0~),
                libkf5xmlgui-dev (>= 5.55.0~),
-               libktorrent-dev (>= 20.12.3~),
+               libktorrent-dev (>= 21.08.1~),
                libmms-dev,
                libqca-qt5-2-dev (>= 2.1.0~),
                libsqlite3-dev,
